<?php
/**
* @version 		1.0
* @author       	Sbastien Collomb for jseblod cck - Gilbert Pellegrom for jQuery Nivo Slider v2.3
* @copyright		jQuery Nivo Slider v2.3 Copyright 2010, Gilbert Pellegrom
* @license 		Dual licensed under the MIT or GPL Version 2 licenses.
* @package		Nivo Slider Content Template (Custom) - jSeblod CCK ( Content Construction Kit )
**/

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<?php
/**
 * Init Style Parameters
 **/

// Init Client
$client				=   &	JApplicationHelper::getClientInfo( $mainframe->getClientId() );

// Init Path
$path				=	( $client->id ) ? @$this->rooturl . '/templates/' . $this->template : $this->baseurl . '/templates/' . $this->template;



// More than 1 per page
if (!isset($GLOBALS['nivo_slider'])) {
	$GLOBALS['nivo_slider'] = 1;
} else {
	$GLOBALS['nivo_slider']++;
}

// For css
$nivo_slider_id		= 'slider' . $GLOBALS['nivo_slider'];
$nivo_slider_class	= 'nivoSlider' . $GLOBALS['nivo_slider'];

// Parameters
$slider_width 			= @$jSeblod->nivo_config_width->value;
$slider_height 			= @$jSeblod->nivo_config_height->value;
$slider_effect    		= @$jSeblod->nivo_config_effect->value;
$slider_slices    		= @$jSeblod->nivo_config_slices->value;
$slider_animspeed  		= @$jSeblod->nivo_config_animspeed->value;
$slider_pauseTime  	 	= @$jSeblod->nivo_config_pausetime->value;
$slider_startSlide  		= @$jSeblod->nivo_config_startSlide->value - 1;
$slider_directionNav 	  	= @$jSeblod->nivo_config_directionnav->value;
$slider_directionNavHide  	= @$jSeblod->nivo_config_directionnavhide->value;
$slider_controlNav		= @$jSeblod->nivo_config_controlnav->value;
$slider_controlNavThumbs	= @$jSeblod->nivo_config_controlnavthumbs->value;
$slider_keyboardnav 	    	= @$jSeblod->nivo_config_keyboardnav->value;
$slider_pauseonhover		= @$jSeblod->nivo_config_pauseonhover->value;
$slider_manualadvance		= @$jSeblod->nivo_config_manualadvance->value;
$slider_captionopacity		= @$jSeblod->nivo_config_captionopacity->value;
$slider_afterchange		= @$jSeblod->nivo_config_afterchange->value;
$slider_afterload		= @$jSeblod->nivo_config_afterload->value;
$slider_beforechange		= @$jSeblod->nivo_config_beforechange->value;
$slider_lastslide		= @$jSeblod->nivo_config_lastslide->value;
$slider_slideshowend		= @$jSeblod->nivo_config_slideshowend->value;
?>

<script type="text/javascript" src="<?php echo $path."/js/jquery.nivo.slider.pack.js"; ?>"></script>

    <script type="text/javascript">
    jQuery(window).load(function() {
        jQuery('#<?php echo $nivo_slider_id; ?>').nivoSlider({
			effect:'<?php echo $slider_effect; ?>',
			slices:<?php echo $slider_slices; ?>,
			animSpeed:<?php echo $slider_animspeed; ?>,
			pauseTime:<?php echo $slider_pauseTime; ?>,
			startSlide:<?php echo $slider_startSlide; ?>, //Set starting Slide (0 index)
			directionNav:<?php if ($slider_directionNav) echo "true"; else echo "false"; ?>, //Next & Prev
			directionNavHide:<?php if ($slider_directionNavHide) echo "true"; else echo "false"; ?>, //Only show on hover
			controlNav:<?php if ($slider_controlNav) echo "true"; else echo "false"; ?>,
			controlNavThumbs:<?php if ($slider_controlNavThumbs) echo "true"; else echo "false"; ?>,
			controlNavThumbsFromRel:true, //Use image rel for thumbs
			//controlNavThumbsSearch: '.jpg', //Replace this with...
			//controlNavThumbsReplace: '_thumb.jpg', //...this in thumb Image src
			keyboardNav:<?php if ($slider_keyboardnav) echo "true"; else echo "false"; ?>,
			pauseOnHover:<?php if ($slider_pauseonhover) echo "true"; else echo "false"; ?>,
			manualAdvance:<?php if ($slider_manualadvance) echo "false"; else echo "true"; ?>, // Attention, invert comparing cck field
			captionOpacity:<?php echo $slider_captionopacity; ?>,
			beforeChange: function(){<?php echo $slider_beforechange."\n"; ?>},
			afterChange: function(){<?php echo $slider_afterchange."\n"; ?>},
			slideshowEnd: function(){<?php echo $slider_slideshowend."\n"; ?>}, //Triggers after all slides have been shown
			lastSlide: function(){<?php echo $slider_lastslide."\n"; ?>}, //Triggers when last slide is shown
			afterLoad: function(){<?php echo $slider_afterload."\n"; ?>} //Triggers when slider has loaded
    });
    });
    </script>


<link rel="stylesheet" href="<?php echo $path."/css/nivo-slider.css"; ?>" type="text/css" />

  <style type="text/css">
    <!--
/*============================*/
/*=== Custom Slider Styles ===*/
/*============================*/

.<?php echo $nivo_slider_class; ?> {
    position:relative;
    width:<?php echo $slider_width; ?>px;
    height:<?php echo $slider_height; ?>px;
    background:#efe9d1 url(<?php echo $path."/images/loading.gif"; ?>) no-repeat 50% 50%;
    margin-bottom:80px;
    -moz-box-shadow:0px 0px 5px #333;
    -webkit-box-shadow:0px 0px 5px #333;
    box-shadow:0px 0px 5px #333;
}

.<?php echo $nivo_slider_class; ?> img {
    position:absolute;
    top:0px;
    left:0px;
    display:none;
}

.<?php echo $nivo_slider_class; ?> a {
    border:0;
    display:block;
}

.nivo-directionNav a {
    display:block;
    width:30px;
    height:30px;
    background:url(<?php echo $path."/images/arrows.png"; ?>) no-repeat;
    text-indent:-9999px;
    border:0;
}

a.nivo-nextNav {
    background-position:-30px 0;
    right:15px;
}

a.nivo-prevNav {
    left:15px;
}

.nivo-caption {
    text-shadow:none;
    font-family: Helvetica, Arial, sans-serif;
}

.nivo-caption a {
    color:#efe9d1;
    text-decoration:underline;
}

<?php
if (!$slider_controlNavThumbs) {
?>

		#<?php echo $nivo_slider_id; ?> .nivo-controlNav {
			position:absolute;
			left:260px;
			bottom:-42px;
		}

		#<?php echo $nivo_slider_id; ?> .nivo-controlNav a {
			display:block;
			width:22px;
			height:22px;
			background:url(<?php echo $path."/images/bullets.png"; ?>) no-repeat;
			text-indent:-9999px;
			border:0;
			margin-right:3px;
			float:left;
		}

		#<?php echo $nivo_slider_id; ?> .nivo-controlNav a.active {
			background-position:0 -22px;
		}

		#<?php echo $nivo_slider_id; ?> a {
			display:block; /* IE Fix */
		}


<?php
 } elseif ($slider_controlNavThumbs) {
?>

		#<?php echo $nivo_slider_id; ?> {
			margin-bottom:110px;
		}

		#<?php echo $nivo_slider_id; ?> .nivo-controlNav {
			position:absolute;
			left:185px;
			bottom:-70px;
		}

		#<?php echo $nivo_slider_id; ?> .nivo-controlNav a {
			display:inline;
		}

		#<?php echo $nivo_slider_id; ?> .nivo-controlNav img {
			display:inline;
			position:relative;
			margin-right:10px;
			-moz-box-shadow:0px 0px 5px #333;
			-webkit-box-shadow:0px 0px 5px #333;
			box-shadow:0px 0px 5px #333;
		}

		#<?php echo $nivo_slider_id; ?> .nivo-controlNav a.active img {
			border:1px solid #000;
		}
<?php
}
?>


    -->
  </style>

